## ensembl 63

=== ensembl-variation/C_code/Makefile ===
CC = gcc

all: calc_genotypes

calc_genotypes: calc_genotypes.o
	$(CC) -o calc_genotypes calc_genotypes.c
calc_genotypes.o:
	$(CC) -c calc_genotypes.c
clean:
	\rm -f *.o calc_genotypes

=== ensembl-external/family/src/markov/Makefile ===

CC = /usr/bin/cc

OPTS = -g3 -O

CFLAGS = -c $(OPTS)

.PHONY: all install clean

all: markov

install: markov
	if [ "$(FAMPATH)" = "" ]; then \
	echo; \
	echo "!!! WARNING !!! Don't know where to install to; FAMPATH not set."; \
	echo;exit 2; \
	else \
	echo; \
	cp markov $(FAMPATH)/bin; \
	echo "Installation successfully completed."; \
	fi; \
	echo;

markov: markov.o
	$(CC) markov.o -o $@ -lm

markov.o: markov.c markov.h
	$(CC) $(CFLAGS) markov.c markov.h

clean:
	rm -f markov.o markov

=== debian/changelog ===
ensembl (63-1) experimental; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 13 Jul 2011 16:14:11 +0200

ensembl (62-2~ubuntu1) lucid; urgency=low

  * Fixed -B build for buildds

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 May 2011 19:46:34 +0200

ensembl (62-1ubuntu1) lucid; urgency=low

  * Uploading to Debian PPA

 -- Steffen Moeller <moeller@debian.org>  Wed, 11 May 2011 19:10:49 +0200

ensembl (62-1) experimental; urgency=low

  * Updated to Ensembl version 62
  * Added Madhu and William to uploaders (Steffen)
  * Updated policy to 3.9.2

 -- Madhu Donepudi <madhu@eaglegenomics.com>  Tue, 19 Apr 2011 06:32:48 -0400

ensembl (57-7) experimental; urgency=low

  * Adding sources of version 2.6.1 for Jalview
    to help GPL compliance.
  * Reupload (Closes: #589818).

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Feb 2011 15:07:58 +0100

ensembl (57-6) UNRELEASED; urgency=low

  * Yet another revised upload.
    - removal of PDFs from source tree
    - removal of .jar of BuildSynteny
  * Another jar (of jalview) cannot be removed for the moment and
    thus remains and renders the package non-free. But we are working
    on getting Jalview into the distribution. This cannot take too
    much longer.

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Feb 2011 16:37:34 +0100

ensembl (57-5) UNRELEASED; urgency=low

  * Finalising postinst.
  * Revised initial upload.

 -- Richard Holland <holland@eaglegenomics.com>  Tue, 01 Feb 2011 22:36:09 +0100

ensembl (57-4) UNRELEASED; urgency=low

  * Initial upload
  * More steps towards lintian cleanliness.

 -- Richard Holland <holland@eaglegenomics.com>  Wed, 29 Sep 2010 00:07:28 +0200

ensembl (57-3) UNRELEASED; urgency=low

  * Bag of improvements to support configuration.

 -- Steffen Moeller <moeller@debian.org>  Sun, 19 Sep 2010 19:22:52 +0200

ensembl (57-2) UNRELEASED; urgency=low

  * Split packaging in many smaller packages.

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Aug 2010 19:44:09 +0200

ensembl (57-1) UNRELEASED; urgency=low

  * Initial release.

 -- Richard Holland <holland@eaglegenomics.com>  Fri, 20 Aug 2010 14:46:17 +0200

=== debian/control ===
Source: ensembl
Section: non-free/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Richard Holland <holland@eaglegenomics.com>, Steffen Moeller <moeller@debian.org>, William Spooner <whs@eaglegenomics.com>, Madhu Donepudi <madhu@eaglegenomics.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), po-debconf
Standards-Version: 3.9.2
Homepage: http://www.ensembl.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ensembl/ensembl/62/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ensembl/ensembl/62/

Package: ensembl
Architecture: all
Pre-Depends: debconf
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-mpm-prefork, csh, expat, perl, libcgi-pm-perl, libcgi-session-perl, libdb-file-lock-perl, libdbd-mysql, perl-modules, ensembl-bin, libensembl-core-perl,libensembl-functgenomics-perl,libensembl-compara-perl,libensembl-external-perl,libensembl-variation-perl, tcsh, liblwp-parallel-perl, mysql-server, mysql-client
Recommends: ttf-mscorefonts-installer, acedb-other-dotter, libcgi-ajax-perl, libcache-memcached-perl, libclass-dbi-sweet-perl, libclass-std-perl, libclass-std-utils-perl, libcompress-bzip2-perl, libfile-spec-perl, libdata-uuid-libuuid-perl, libgd-text-perl, libhash-merge-perl, libhtml-parser-perl, liblist-moreutils-perl, liblog-log4perl-perl, libmailtools-perl, libwww-curl-perl, libapache2-mod-perl2, libnumber-format-perl, libgd-gd2-noxpm-perl, libpdf-api2-perl, libsys-hostname-long-perl, libtemplate-plugin-number-format-perl, libxml-dom-perl, libxml-rss-perl, libxml-simple-perl, libbsd-resource-perl, libxml-xpath-perl, libxml-atom-perl, libjson-perl, libclass-data-inheritable-perl, libconfig-inifiles-perl, libdevel-stacktrace-perl, libexception-class-perl, libhtml-template-perl, libimage-size-perl, libio-string-perl, libipc-run-perl, libxml-libxml-perl, libole-storage-lite-perl, libparse-recdescent-perl, libspreadsheet-writeexcel-perl, libmime-types-perl, libmath-bezier-perl, librtf-writer-perl, libbio-das-lite-perl, bioperl1.2.3|bioperl
Suggests: ksh | mksh | pdksh | zsh
Section: non-free/science
Description: basic Ensembl genome browser
 Ensembl is a joint project of the Sanger Center and the European
 Bioinformatics Institute, an outstation of the European Molecular
 Biology Laboratory, (EMBL-EBI) that are sharing a campus in Hinxton
 near Cambridge, UK. It presents the sequence data for the
 yet available complete genomes of many vertebrates and is helped
 by many sister-projects to cover also plants, invertebrates
 and bacteria.
 .
 This package provides a basic installation of Ensembl. It comprises
 a full copy of the public Ensembl website, minus Blast and SSAHA,
 and minus BioMart. It uses UniSearch instead of the engine used on the
 public site for searching by keyword. It connects directly to the public
 databases hosted by the EBI/Sanger.
 .
 This is meant as an easy way to get a basic Ensembl installation
 working on Debian. It can then be customised to local requirements.
 . 
 Note that Ensembl has two odd dependencies: bioperl1.2.3 and
 libparallel-useragent-perl. Those are not required for routine
 browsing, but the bioperl1.2.3 library performs the parsing of BLAST
 outputs. Version 1.2.3 is in conflict with any other existing bioperl
 installation and forces you to effectively downgrade.
 .
 libwww-perl5.808  will conflict with the latest libwww-perl installation
 and thus force a downgrade to 5.808, which will disable many other tools
 on your system. Therefore it is advisable NOT to install this package
 in parallel with any other software, and/or use a virtual machine or
 dedicated machine.
 .
 We will work to try and remove these dependencies and allow Ensembl
 to run fully on an up-do-date machine.
 .
 WARNING: Requires internet connection both to install and to run, as it
 connects to the Sanger/EBI database servers during both installation 
 and at runtime.

Package: libensembl-core-perl
Architecture: all
Depends: ${misc:Depends},bioperl1.2.3|bioperl
Suggests: ksh | mksh | pdksh | zsh, tk
Section: non-free/perl
Description: core libraries of Ensembl API
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 This package provides the core of its API, defining basic concepts
 like biological sequences and that there may be databases from
 which information can be retrieved. If you work with the Ensembl
 API, then you need this package.
 .
 For complete confidence in the functionality of your Ensembl
 installation, version 1.2.3 of BioPerl should be used. There are
 reports that a current version would also be functional, but
 upstream thinks differently here.

Package: libensembl-functgenomics-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for functional genomics with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 Functional genomics is about the investigation of what effects certain
 parts of the genome have across tissues, states of those tissues (like
 hypoxia, temperature changes, growth, ...) and of course in diseases.

Package: libensembl-compara-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for comparative genomics with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 Any creationist please ignore this package, it will not make any sense
 to you. The others will see how genes known in the human can be traced
 back down to the fly (and some developmental genes have for instance
 even been proven to be functional in the fly), or that many genes have
 kept their chromosomal vicinity over millions of years and yet some
 nucleotides as a block remain unchanged while many other neighbouring
 positions have undergone many changes .... maybe those that have not
 changed mean something?

Package: libensembl-external-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: API for integration of external data sources with Ensembl
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 In a way, this package is the one that is most important for Debian,
 since the integration of previous local data is (besides educational
 purposes) probably the main motivation for the installation of these
 pacakges.

Package: libensembl-variation-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: Ensembl API for investigation of inter-individual genomic differences
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 We humans don't have all the same DNA. We have come to accept that 
 as part of the problem in organ transplantation. Key of genetic research
 is to link variants in the DNA with phenotypes. Of those, insights
 in the molecular pathophysiology are preferred results since those
 are likely to help a better understanding of current treatments
 and may generate ideas for novel drugs at best.

Package: libensembl-draw-perl
Depends: ${misc:Depends},libensembl-core-perl
Architecture: all
Section: non-free/perl
Description: Ensembl API for graphical representation of genomic properties
 The Ensembl project presents the sequence data for the yet
 available complete genomes of many vertebrates and is helped by many
 sister-projects to cover also plants, invertebrates and bacteria.
 .
 This package provides a series of routines to help the web server present
 items graphically.

Package: ensembl-bin
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Section: non-free/utils
Description: platform-specific files of Ensembl
 The Ensembl website is mostly implemented in Perl. But just a few
 bits do appear as binaries. Those are gathered in this package.

Package: ensembl-doc
Depends: ${misc:Depends}
Section: non-free/doc
Architecture: all
Description: tutorials and othe documentation for Ensembl
 Several Perl packages of Ensmebl offer a description of their API.
 The compara package offers a tutorial. Also the Ensembl schema
 is distributed with this documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ensembl

configure: configure-stamp
configure-stamp:
	# nothing to be configured
	touch configure-stamp

# Ignoring direct call to build
build: #build-indep-stamp build-arch
	echo "Build command ignored. Ask for a binary."

build-arch: ensembl-variation/C_code/calc_genotypes
ensembl-variation/C_code/calc_genotypes:
	$(MAKE) -C ensembl-variation/C_code calc_genotypes

build-indep: build-indep-stamp
build-indep-stamp:
	# nothing to build for the Perl packages or the database
	# well, those bits should already have been fixed in the source tree, but, who knows...
	find . -name CVS -a -type d | xargs -r rm -r
	find . -name "*.pm" -o -name "*.png" -o -name "*.gif" -o -name README \
                 -o -name "*.sql" -o -name "*.pdf" -o -name "*.html" \
		-o -name "*.sxw" -o -name "*.conf*" -o -name "*.guess" -o -name "*.sub" \
		-o -name "*.h" -o -name "*.cpp" -o -name "*.txt" \
				| grep -v "/.pc/" | xargs -r --max-args 10 chmod 644
	#find . -name "*.pl" | xargs -r chmod 755
	find . -name ".cvsignore" | xargs -r rm

	# First round of updates
	find . -name "*.pl" -o -name "*.sh" -o -name "*.t" -o -name "*.pm" -o \
		-name "do_flatfile_dump_registry" -o -name "parse_snp_to_ensembl_mouse" \
				| grep -v "/.pc/" | xargs -r --max-args 1 debian/adjust_shebang_line.sh

	#d=$(DESTDIR)/usr/share/ensembl
	echo "Adjusting path to Perl wherever it may be found" ; \
	egrep -rl "^#!\s*/.*/perl" . | grep -v "/.pc/" | xargs -r --max-args 1 sed -i '1s%^#!\s*/\(usr\|localsw\)/.*/perl%#!/usr/bin/perl%' ; \
	egrep -rl "^#!\s*/.*/perl" . | grep -v "/.pc/" | xargs -r --max-args 1 sed -i '1s%^#!\s*/\(usr\|localsw\|software\)/.*/perl%#!/usr/bin/perl%' ; \
	echo "Adjusting path to Bash wherever it may be found" ; \
	egrep -rl "^#!\s*/.*/bash" . | grep -v "/.pc/" | xargs -r --max-args 1 sed -i '1s%^#!\s*/\(usr\|localsw\)/.*/bash%#!/bin/bash%' ; \
	egrep -rl "^#!.*ENV.*PERL" . | grep -v "/.pc/" | xargs -r --max-args 1 sed -i '1s%^#!.*%#!/usr/bin/perl%' ; \

	# First round of updates
	#find . -name "*.pl" -o -name "*.sh" | xargs -r debian/adjust_chmod.sh

	touch $@

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dd="$(DESTDIR)-bin/usr/bin" ; \
	if [ ! -d "$$$d" ]; then \
		echo "Creating directory '$$dd'." ; \
		mkdir -p "$$dd" ; \
	fi ; \
	cp ensembl-variation/C_code/calc_genotypes $$dd

install-indep: build-indep install-indep-copying
	# copying files that are considered too different from the original
	# and/or the original too variable across releases to be patched
	if [ ! -d "$(DESTDIR)/etc/default/ensembl.d" ]; then mkdir -p "$(DESTDIR)/etc/default/ensembl.d"; fi
	cp debian/ensembl.overwrites/Plugins.pm        "$(DESTDIR)/etc/default/ensembl.d/"
	cp debian/ensembl.overwrites/confSiteDefs.pm   "$(DESTDIR)/etc/default/ensembl.d/"
	cp debian/ensembl.overwrites/pluginSiteDefs.pm "$(DESTDIR)/etc/default/ensembl.d/"
	find debian/ensembl -name config.guess -o -name config.sub -o -name configure -o \
		-name depcomp -o -name install-sh -o -name missing -o -name Makefile.PL | xargs -r rm

install-indep-copying: install-indep-copying-stamp
install-indep-copying-stamp:
	dh_testdir
	dh_testroot
	dh_prep -i
	d="$(DESTDIR)/usr/share/ensembl" ; \
	if [ ! -d "$$d" ]; then \
		echo "Creating directory '$$d'." ; \
		mkdir -p "$$d" ; \
	fi ; \
	echo "Copying to '$$d'"; \
	cp -r conf ctrl_scripts \
		htdocs modules perl public-plugins utils \
		ensembl ensembl-compara ensembl-draw \
		ensembl-external \
		ensembl-functgenomics ensembl-variation \
	    $$d ;

	m="$(DESTDIR)-doc/usr/share/doc/ensembl-doc"; if [ ! -d "$$m" ]; then mkdir -p "$$m"; fi ; \
	for doc in $(DESTDIR)/usr/share/ensembl/*/docs ; do \
		docdir=`dirname $$doc` ; \
		docdirbase=`basename $$docdir` ; \
		from="$(DESTDIR)/usr/share/ensembl/$$docdirbase/docs" ; \
		to="$$m/$$docdirbase" ; \
		echo "Moving from '$$from' to '$$to'.\n" ; \
		mv "$$from" "$$to" ; \
	done

	for p in core compara draw external functgenomics variation; do \
		destdir="$(CURDIR)/debian/libensembl-$${p}-perl/usr/share/ensembl" ; \
		if [ ! -d "$$destdir" ]; then mkdir -p "$$destdir"; fi ; \
	done

	from="debian/ensembl/usr/share/ensembl/ensembl" ; \
	to="debian/libensembl-core-perl/usr/share/ensembl/" ; \
	echo "Renaming '$$from' to '$$to'.\n" ; \
	mv "$$from" "$$to"

	# move the remaining directories
	sourcedir="$(CURDIR)/debian/ensembl/usr/share/ensembl" ; \
	for p in compara draw external functgenomics variation; do \
		destdir="$(CURDIR)/debian/libensembl-$${p}-perl/usr/share/ensembl/" ; \
		echo "Moving '$$sourcedir/*-$$p' to '$$destdir'" ; \
		mv $${sourcedir}/*-$$p $$destdir ; \
	done

	# some cleanup
	find debian -name Makefile.PL -o -name "*.tar.gz" | xargs -r rm -f
	rm -rf debian/libensembl-variation-perl/usr/share/ensembl/ensembl-variation/C_code

clean:
	rm -f ensembl-variation/C_code/calc_genotypes.o ensembl-variation/C_code/calc_genotypes
	debconf-updatepo
	dh_clean install-indep-copying-stamp \
		build-stamp build-indep-stamp build-arch-stamp \
		configure-stamp 

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

get-orig-source:
	./debian/prepare_ensembl_source_packages.sh

# To update po files as recommended in po-debconf(7)
debian/po/templates.pot: debian/ensembl.templates
	@debconf-updatepo

.PHONY: build clean binary-indep binary-arch binary configure build install

=== debian/watch ===
version=3
#http://www.ensembl.org Release\s+(\d+)\s+
opts="passive" \
  ftp://ftp.ensembl.org/pub/release-(\d+)
